Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598410 - Problem with Gscan2pdf and perl PDF API
Problem with Gscan2pdf and perl PDF API
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gscan2pdf (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 06:56 EDT by Charles VINCHON
Modified: 2011-06-27 13:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:14:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles VINCHON 2010-06-01 06:56:46 EDT
Description of problem:
gscan2pdf doesn't laucnh

Version-Release number of selected component (if applicable):
gscan2pdf-0.9.30-6.fc13 and older F13 versions 

How reproducible:
Try to launch gscan2pdf-0.9.30-6.fc13 or older F13 version
  
Actual results:
Attempt to reload Compress/Zlib.pm aborted.
Compilation failed in require at /usr/share/perl5/PDF/API2/Content.pm
line 46.
BEGIN failed--compilation aborted
at /usr/share/perl5/PDF/API2/Content.pm line 46.
Compilation failed in require at /usr/share/perl5/PDF/API2/Page.pm line
47.
BEGIN failed--compilation aborted at /usr/share/perl5/PDF/API2/Page.pm
line 47.
Compilation failed in require at /usr/share/perl5/PDF/API2.pm line 53.
BEGIN failed--compilation aborted at /usr/share/perl5/PDF/API2.pm line
53.
Compilation failed in require at /usr/bin/gscan2pdf line 130.
BEGIN failed--compilation aborted at /usr/bin/gscan2pdf line 130.


Expected results:
gscan2pdf should launch

Additional info:
perl PDF API reinstalled
tests with gscan2pdf reinstalled in current version
tests with gscan2pdf reinstalled in test version
Comment 1 Bernard Johnson 2010-07-04 16:30:10 EDT
Please try running this command and if there is output copy it to this bug ticket:

perl -MCompress::Zlib -e 1
Comment 2 Bug Zapper 2011-06-02 08:31:05 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 13:14:55 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.